> ## Documentation Index
> Fetch the complete documentation index at: https://dom-6a1f70d6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Creer Livraison



## OpenAPI

````yaml openapi.json post /livraisons/creer
openapi: 3.0.3
info:
  title: DELIVERY API
  description: API pour la plateforme fournissant une api de gestion de livraison
  version: 1.0.0
servers: []
security: []
paths:
  /livraisons/creer:
    post:
      tags:
        - Livraisons
        - Livraisons
      summary: Creer Livraison
      operationId: creer_livraison_livraisons_creer_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LivraisonCreate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LivraisonCreate:
      properties:
        commande_id:
          type: string
          format: uuid
          title: Commande Id
        livreur_id:
          anyOf:
            - type: string
              format: uuid
            - nullable: true
          title: Livreur Id
        statut:
          $ref: '#/components/schemas/StatutLivraison'
          default: en_attente
      type: object
      required:
        - commande_id
      title: LivraisonCreate
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    StatutLivraison:
      type: string
      enum:
        - en_attente
        - acceptee
        - en_cours
        - terminee
        - annulee
      title: StatutLivraison
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.